CREATE TABLE jl_br_ar_coll_docs_det_all (
    COLL_DOCS_DET_ID            NUMBER(18, 0),
    PAYMENT_SCHEDULE_ID         NUMBER(18, 0)    NOT NULL,
    SELECTION_CONTROL_ID        NUMBER(18, 0)    NOT NULL,
    DOCUMENT_ID                 NUMBER(18, 0)    NOT NULL,
    TERMS_SEQUENCE_NUMBER       NUMBER           NOT NULL,
    DUE_DATE                    DATE             NOT NULL,
    CUSTOMER_TRX_ID             NUMBER(18, 0)    NOT NULL,
    AMOUNT                      NUMBER           NOT NULL,
    ORG_ID                      NUMBER(18, 0)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    SELECT_ACCOUNT_ID           NUMBER(18, 0)    NOT NULL,
    TAX_AUTHORITY_DOC_NUMBER    VARCHAR2(480),
    CITY_TAX_AMOUNT             NUMBER       ,
    STATE_TAX_AMOUNT            NUMBER       ,
    COUNTRY_TAX_AMOUNT          NUMBER       ,
    EXCISE_TAX_AMOUNT           NUMBER       ,
    COLL_DOCS_DET_ID            NUMBER(18, 0),
    PAYMENT_SCHEDULE_ID         NUMBER(18, 0)    NOT NULL,
    SELECTION_CONTROL_ID        NUMBER(18, 0)    NOT NULL,
    DOCUMENT_ID                 NUMBER(18, 0)    NOT NULL,
    TERMS_SEQUENCE_NUMBER       NUMBER           NOT NULL,
    DUE_DATE                    DATE             NOT NULL,
    CUSTOMER_TRX_ID             NUMBER(18, 0)    NOT NULL,
    AMOUNT                      NUMBER           NOT NULL,
    ORG_ID                      NUMBER(18, 0)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    SELECT_ACCOUNT_ID           NUMBER(18, 0)    NOT NULL,
    TAX_AUTHORITY_DOC_NUMBER    VARCHAR2(480),
    CITY_TAX_AMOUNT             NUMBER       ,
    STATE_TAX_AMOUNT            NUMBER       ,
    COUNTRY_TAX_AMOUNT          NUMBER       ,
    EXCISE_TAX_AMOUNT           NUMBER       ,
    CONSTRAINT pk_jl_br_ar_coll_docs_det_all PRIMARY KEY (COLL_DOCS_DET_ID, COLL_DOCS_DET_ID)
);
